#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xdg-utils
Version		:	v1.2.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Basic desktop integration functions
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.freedesktop.org/wiki/Software/xdg-utils/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	links
BuildRequires	:	xmlto

BuildArch	:	noarch

Requires	:	xorg-server

Recommends	:	xscreensaver
#-----------------------------------------------------------------------------
%description
xdg-utils is a set of tools that allows applications to easily integrate
with the desktop environment of the user, regardless of the specific
desktop environment that the user runs.

About half of the tools focus on tasks commonly required during the
installation of a desktop application and the other half focuses on
integration with the desktop environment while the application is
running.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc LICENSE README.md
%{_bindir}/xdg-*
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
	
#-----------------------------------------------------------------------------
%changelog
